Subject: Notation mensurale

From: bameylan <[email-masked]>
Date: Thu, 20 May 2010 23:57:25 -0700 (PDT)

Bonjour à tous,

je suis plongé dans les partitions de Salomone Rossi, écrites en notation
mensurale. Ma question: comment déclarer une telle partition dans LilyPond
une fois pour toutes? (c-à-d que toute la musique qui va être écrite sera
dans ce style de notation) Lorsque je regarde les passages de la doc
consacrés à cette notation, je ne comprends pas où la déclarer.

Merci de vos éclaircissements.

Bernard

-- 
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Notation-mensurale-tp5083034p5083034.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: Xavier Scheuer <[email-masked]>
Date: Fri, 21 May 2010 12:23:17 +0200

2010/5/21 bameylan <[email-masked]> :

> Bonjour à tous,
>
> je suis plongé dans les partitions de Salomone Rossi, écrites en
> notation mensurale. Ma question: comment déclarer une telle partition
> dans LilyPond une fois pour toutes? (c-à-d que toute la musique qui
> va être écrite sera dans ce style de notation) Lorsque je regarde les
> passages de la doc consacrés à cette notation, je ne comprends pas où
> la déclarer.

Salut !

D'après ce que j'ai compris il suffit de remplacer "Voice" par
"MensuralVoice" et "Staff" par "MensuralStaff" pour que tous les
changements nécessaire soient effectués.
Ce n'est pas ce qui se passe chez toi ?

Cordialement,
Xavier

--
Xavier Scheuer <[email-masked]>

---

From: bameylan <[email-masked]>
Date: Fri, 21 May 2010 12:25:41 -0700 (PDT)

> changements nécessaire soient effectués.
Ça fonctionne au petit poil! Merci! J'en profite pour allonger un peu sur le
sujet et profiter honteusement des connaissances des champions de la petite
bébête pour ceci: l'option MensuralStaff rend invisible toutes les barres de
mesures, ce qui est juste pour une partie de la littérature musicale écrite
en notation mensurale; pour la petite partie qui reste (on a quand même
utilisé des barres de mesures dans cette façon d'écrire) j'aimerais pouvoir
rendre visible certaines barres, surtout les signes de reprise (:|:).
Comment les rendre visibles pour ensuite reprendre les barres invisibles?

Bernard
-- 
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/Notation-mensurale-tp5083034p5085977.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: Xavier Scheuer <[email-masked]>
Date: Fri, 21 May 2010 23:19:12 +0200

2010/5/21 bameylan <[email-masked]> :

> Ça fonctionne au petit poil! Merci! J'en profite pour allonger un peu
> sur le sujet et profiter honteusement des connaissances des champions
> de la petite bdbête pour ceci: l'option MensuralStaff rend invisible
> toutes les barres de mesures, ce qui est juste pour une partie de la
> littérature musicale écrite en notation mensurale; pour la petite
> partie qui reste (on a quand même utilisé des barres de mesures dans
> cette façon d'écrire) j'aimerais pouvoir rendre visible certaines
> barres, surtout les signes de reprise (:|:).

Effectivement, MensuralStaff définit par défaut la propriété
BarLine #'transparent à la valeur ##t.
Ainsi il faut utiliser
  \revert MensuralStaff.BarLine #'transparent
pour les rendre visibles et
  \override MensuralStaff.BarLine #'transparent = ##t
pour les rendre invisibles (transparentes) à nouveau.
Si c'est juste pour une fois on peut juste utiliser
  \once \revert MensuralStaff.BarLine #'transparent
devant la barre en question.

Les champions Scheme doivent sûrement être capables de nous pondre une
règle pour que les barres de reprises uniquement soient imprimées ;
j'en suis incapable.

Cordialement,
Xavier

PS : Je ne suis sûrement pas un champion du style mensural, je n'ai
     jamais gravé en notation ancienne...